> For the complete documentation index, see [llms.txt](https://docs.teranode.group/tng-identity-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.teranode.group/tng-identity-documentation/tng-identity-verifier/verifier-api/api-documentation/verifiable-presentation.md).

# Verifiable Presentation

## Create a new authorisation request to start a verification process.

> Endpoint facilitates the retrieval of a \`correlationId\`, \`definitionId\`, \`authStatusURI\`and \`authRequestURI\`.\
> &#x20; The \`correlationId\` is a unique identifier for the request. The \`definitionId\` is a name that's passed in the request\
> &#x20; and represents name of credential (characterCredential). The \`authStatusURI\` is a URI that shows where auth-status endpoint \
> &#x20;is located. The \`authRequestURI\` contains info that is put in QR data and is used to scan with mobile wallet app.\<hr />\*\*Claim-based access control:\*\* \<code>Verifier\_Admin\</code>, \<code>Verifier\_User\</code>

```json
{"openapi":"3.0.0","info":{"title":"Identity Verifier Backend Documentation","version":"dev"},"servers":[{"url":"{hostname}","description":"Verifier Backend REST API Server","variables":{"hostname":{"default":"https://identity.nchainplatform.com/products/web/$IDENTITY_ENV_ID/verifier/api"}}}],"security":[{},{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"VerifiablePresentationDefinitionDetailDto":{"type":"object","properties":{"correlationId":{"type":"string","description":"A UUID value that is bound to the VP","format":"uuid"},"definitionId":{"type":"string","description":"The definitionId defines the credential to ask for, eg: emailCredential. The value should start with lowercase and continue using camelCase pattern"},"authRequestURI":{"type":"string","description":"Verification URL the wallet needs to consume to start SIOP communications"},"authStatusURI":{"type":"string","description":"The url to use to fetch the status of the verification"}}}}},"paths":{"/private/verifiable-presentations/definition/{definitionId}":{"post":{"operationId":"VerifiablePresentationController_create","summary":"Create a new authorisation request to start a verification process.","description":"Endpoint facilitates the retrieval of a `correlationId`, `definitionId`, `authStatusURI`and `authRequestURI`.\n  The `correlationId` is a unique identifier for the request. The `definitionId` is a name that's passed in the request\n  and represents name of credential (characterCredential). The `authStatusURI` is a URI that shows where auth-status endpoint \n is located. The `authRequestURI` contains info that is put in QR data and is used to scan with mobile wallet app.<hr />**Claim-based access control:** <code>Verifier_Admin</code>, <code>Verifier_User</code>","parameters":[{"name":"definitionId","required":true,"in":"path","description":"The definitionId defines the credential to ask for, eg: emailCredential.<br>The value should start with lowercase and continue using camelCase pattern.<br><b>Must be one of the allowed definitions in the template endpoint.</b>","schema":{"type":"string"}}],"responses":{"201":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifiablePresentationDefinitionDetailDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Invalid authentication credentials."},"403":{"description":"User does not have a required claim to perform this operation."},"409":{"description":"Conflict"},"500":{"description":"Internal Server Error"},"503":{"description":"The agent service is unavailable"}},"tags":["Verifiable Presentation"]}}}}
```

## Get verifiable presentation

> Retrieve a single verifiable presentation record\<hr />\*\*Claim-based access control:\*\* \<code>Verifier\_Admin\</code>, \<code>Verifier\_Auditor\</code>, \<code>Verifier\_User\</code>

```json
{"openapi":"3.0.0","info":{"title":"Identity Verifier Backend Documentation","version":"dev"},"servers":[{"url":"{hostname}","description":"Verifier Backend REST API Server","variables":{"hostname":{"default":"https://identity.nchainplatform.com/products/web/$IDENTITY_ENV_ID/verifier/api"}}}],"security":[{},{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"VerifiablePresentationDetailDto":{"type":"object","properties":{"correlationId":{"type":"string","description":"A UUID value that is bound to the VP","format":"uuid"},"definitionId":{"type":"string","description":"The definitionId defines the credential to ask for, eg: emailCredential. The value should start with lowercase and continue using camelCase pattern"},"createdAt":{"format":"date-time","type":"string","description":"Date of creation"},"updatedAt":{"format":"date-time","type":"string","description":"Date of modification"},"deletedAt":{"format":"date-time","type":"string","description":"Date of deletion"},"createdBy":{"type":"string","description":"UUID of the cognito user that created the record","format":"uuid"},"updatedBy":{"type":"string","description":"UUID of the cognito user that updated the record","format":"uuid"},"deletedBy":{"type":"string","description":"UUID of the cognito user that deleted the record","format":"uuid"},"organisationDID":{"type":"string","description":"DID of the organisation that made this request"},"status":{"type":"string","description":"Status of the Verifiable Presentation","enum":["created","scanned","failed","valid","error"]},"credentials":{"description":"Collection of Verifiable Credentials","type":"array","items":{"$ref":"#/components/schemas/VerifiableCredentialDetailDto"}},"verifiedAt":{"format":"date-time","type":"string","description":"Date of verification completed"}}},"VerifiableCredentialDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"createdAt":{"format":"date-time","type":"string","description":"Date of creation"},"updatedAt":{"format":"date-time","type":"string","description":"Date of modification"},"deletedAt":{"format":"date-time","type":"string","description":"Date of deletion"},"createdBy":{"type":"string","description":"UUID of the cognito user that created the record","format":"uuid"},"updatedBy":{"type":"string","description":"UUID of the cognito user that updated the record","format":"uuid"},"deletedBy":{"type":"string","description":"UUID of the cognito user that deleted the record","format":"uuid"},"types":{"description":"Defines the different types the credential is using","type":"array","items":{"type":"string"}},"expirationDate":{"format":"date-time","type":"string","description":"The date time of VC expiration"},"issuanceDate":{"format":"date-time","type":"string","description":"The date time when VC was issued"},"issuer":{"type":"string","description":"The issuer DID the VC was issued from"},"subject":{"type":"string","description":"The subject/holder DID the VC is linked to"},"revoked":{"type":"boolean","description":"Defines if the credential is revoked"},"claims":{"description":"A collection of the Verifiable Credential claims","type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/VerifiableCredentialClaimStringDetailDto"},{"$ref":"#/components/schemas/VerifiableCredentialClaimNumberDetailDto"},{"$ref":"#/components/schemas/VerifiableCredentialClaimImageDetailDto"}]}}}},"VerifiableCredentialClaimStringDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"dataType":{"type":"string","description":"String credential claim data type","default":"string","enum":["string"]},"claimName":{"type":"string","description":"String credential claim name"},"claimValue":{"type":"string","description":"Claim value"}}},"VerifiableCredentialClaimNumberDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"dataType":{"type":"string","description":"Number credential claim data type","default":"number","enum":["number"]},"claimName":{"type":"string","description":"Number credential claim data type"},"claimValue":{"type":"number","description":"Claim value as number. Can be a float with up to 3 decimal point"}}},"VerifiableCredentialClaimImageDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"dataType":{"type":"string","description":"Image credential claim data type","default":"image","enum":["image"]},"claimName":{"type":"string","description":"Image credential claim name"},"claimValue":{"description":"Contains the relevant Image information","allOf":[{"$ref":"#/components/schemas/VerifiableCredentialClaimImageDetailValueDto"}]}}},"VerifiableCredentialClaimImageDetailValueDto":{"type":"object","properties":{"imageName":{"type":"string","description":"The image name with extension"},"imageHash":{"type":"string","description":"The image hash using sha256"},"imageMediaType":{"type":"string","description":"Image media type"},"imageUrl":{"type":"string","description":"Image url"}}}}},"paths":{"/private/verifiable-presentations/definition/{definitionId}/correlation/{correlationId}":{"get":{"operationId":"VerifiablePresentationController_findOneByDefinitionAndCorrelation","summary":"Get verifiable presentation","description":"Retrieve a single verifiable presentation record<hr />**Claim-based access control:** <code>Verifier_Admin</code>, <code>Verifier_Auditor</code>, <code>Verifier_User</code>","parameters":[{"name":"definitionId","required":true,"in":"path","description":"The definitionId defines the credential to ask for, eg: emailCredential.<br>The value should start with lowercase and continue using camelCase pattern.<br><b>Must be one of the allowed definitions in the template endpoint.</b>","schema":{"type":"string"}},{"name":"correlationId","required":true,"in":"path","description":"A UUID value that is bound to the VP","schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifiablePresentationDetailDto"}}}},"400":{"description":"Invalid request parameters"},"401":{"description":"Invalid authentication credentials."},"403":{"description":"User does not have a required claim to perform this operation."},"404":{"description":"Record not found."},"500":{"description":"Internal Server Error"}},"tags":["Verifiable Presentation"]}}}}
```

## Get verifiable presentations

> Retrieve a paginated response of verifiable presentations\<hr />\*\*Claim-based access control:\*\* \<code>Verifier\_Admin\</code>, \<code>Verifier\_Auditor\</code>, \<code>Verifier\_User\</code>

```json
{"openapi":"3.0.0","info":{"title":"Identity Verifier Backend Documentation","version":"dev"},"servers":[{"url":"{hostname}","description":"Verifier Backend REST API Server","variables":{"hostname":{"default":"https://identity.nchainplatform.com/products/web/$IDENTITY_ENV_ID/verifier/api"}}}],"security":[{},{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"PaginatedDto":{"type":"object","properties":{"data":{"title":"Array of entities","type":"array","items":{"type":"object"}},"meta":{"title":"Pagination Metadata","allOf":[{"$ref":"#/components/schemas/PaginatedMetaDto"}]},"links":{"title":"Links to pages","allOf":[{"$ref":"#/components/schemas/PaginatedLinksDto"}]}},"required":["data","meta","links"]},"PaginatedMetaDto":{"type":"object","properties":{"itemsPerPage":{"type":"number","title":"Number of items per page"},"totalItems":{"type":"number","title":"Total number of items"},"currentPage":{"type":"number","title":"Current requested page"},"totalPages":{"type":"number","title":"Total number of pages"},"sortBy":{"type":"array","title":"Sorting by columns","items":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"string","enum":["ASC","DESC"]}]}}},"filter":{"type":"object","title":"Filters that applied to the query"}},"required":["itemsPerPage","totalItems","currentPage","totalPages"]},"PaginatedLinksDto":{"type":"object","properties":{"first":{"type":"string","title":"Link to first page"},"previous":{"type":"string","title":"Link to previous page"},"current":{"type":"string","title":"Link to current page"},"next":{"type":"string","title":"Link to next page"},"last":{"type":"string","title":"Link to last page"}}},"VerifiablePresentationDetailDto":{"type":"object","properties":{"correlationId":{"type":"string","description":"A UUID value that is bound to the VP","format":"uuid"},"definitionId":{"type":"string","description":"The definitionId defines the credential to ask for, eg: emailCredential. The value should start with lowercase and continue using camelCase pattern"},"createdAt":{"format":"date-time","type":"string","description":"Date of creation"},"updatedAt":{"format":"date-time","type":"string","description":"Date of modification"},"deletedAt":{"format":"date-time","type":"string","description":"Date of deletion"},"createdBy":{"type":"string","description":"UUID of the cognito user that created the record","format":"uuid"},"updatedBy":{"type":"string","description":"UUID of the cognito user that updated the record","format":"uuid"},"deletedBy":{"type":"string","description":"UUID of the cognito user that deleted the record","format":"uuid"},"organisationDID":{"type":"string","description":"DID of the organisation that made this request"},"status":{"type":"string","description":"Status of the Verifiable Presentation","enum":["created","scanned","failed","valid","error"]},"credentials":{"description":"Collection of Verifiable Credentials","type":"array","items":{"$ref":"#/components/schemas/VerifiableCredentialDetailDto"}},"verifiedAt":{"format":"date-time","type":"string","description":"Date of verification completed"}}},"VerifiableCredentialDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"createdAt":{"format":"date-time","type":"string","description":"Date of creation"},"updatedAt":{"format":"date-time","type":"string","description":"Date of modification"},"deletedAt":{"format":"date-time","type":"string","description":"Date of deletion"},"createdBy":{"type":"string","description":"UUID of the cognito user that created the record","format":"uuid"},"updatedBy":{"type":"string","description":"UUID of the cognito user that updated the record","format":"uuid"},"deletedBy":{"type":"string","description":"UUID of the cognito user that deleted the record","format":"uuid"},"types":{"description":"Defines the different types the credential is using","type":"array","items":{"type":"string"}},"expirationDate":{"format":"date-time","type":"string","description":"The date time of VC expiration"},"issuanceDate":{"format":"date-time","type":"string","description":"The date time when VC was issued"},"issuer":{"type":"string","description":"The issuer DID the VC was issued from"},"subject":{"type":"string","description":"The subject/holder DID the VC is linked to"},"revoked":{"type":"boolean","description":"Defines if the credential is revoked"},"claims":{"description":"A collection of the Verifiable Credential claims","type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/VerifiableCredentialClaimStringDetailDto"},{"$ref":"#/components/schemas/VerifiableCredentialClaimNumberDetailDto"},{"$ref":"#/components/schemas/VerifiableCredentialClaimImageDetailDto"}]}}}},"VerifiableCredentialClaimStringDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"dataType":{"type":"string","description":"String credential claim data type","default":"string","enum":["string"]},"claimName":{"type":"string","description":"String credential claim name"},"claimValue":{"type":"string","description":"Claim value"}}},"VerifiableCredentialClaimNumberDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"dataType":{"type":"string","description":"Number credential claim data type","default":"number","enum":["number"]},"claimName":{"type":"string","description":"Number credential claim data type"},"claimValue":{"type":"number","description":"Claim value as number. Can be a float with up to 3 decimal point"}}},"VerifiableCredentialClaimImageDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"dataType":{"type":"string","description":"Image credential claim data type","default":"image","enum":["image"]},"claimName":{"type":"string","description":"Image credential claim name"},"claimValue":{"description":"Contains the relevant Image information","allOf":[{"$ref":"#/components/schemas/VerifiableCredentialClaimImageDetailValueDto"}]}}},"VerifiableCredentialClaimImageDetailValueDto":{"type":"object","properties":{"imageName":{"type":"string","description":"The image name with extension"},"imageHash":{"type":"string","description":"The image hash using sha256"},"imageMediaType":{"type":"string","description":"Image media type"},"imageUrl":{"type":"string","description":"Image url"}}}}},"paths":{"/private/verifiable-presentations":{"get":{"operationId":"VerifiablePresentationController_filter","summary":"Get verifiable presentations","description":"Retrieve a paginated response of verifiable presentations<hr />**Claim-based access control:** <code>Verifier_Admin</code>, <code>Verifier_Auditor</code>, <code>Verifier_User</code>","parameters":[{"name":"page","required":false,"in":"query","description":"Page number to retrieve.If you provide invalid value the default page number will applied\n        <p>\n             <b>Example: </b> 1\n          </p>\n        <p>\n             <b>Default Value: </b> 1\n          </p>\n        ","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of records per page.\n      <p>\n             <b>Example: </b> 20\n          </p>\n      <p>\n             <b>Default Value: </b> 20\n          </p>\n      <p>\n             <b>Max Value: </b> 100\n          </p>\n\n      If provided value is greater than max value, max value will be applied.\n      ","schema":{"type":"number"}},{"name":"filter.correlationId","required":false,"in":"query","description":"Filter by correlationId query param.\n          <p>\n             <b>Format: </b> filter.correlationId={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.correlationId=$not:$like:John Doe&filter.correlationId=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li>\n<li>$contains</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.definitionId","required":false,"in":"query","description":"Filter by definitionId query param.\n          <p>\n             <b>Format: </b> filter.definitionId={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.definitionId=$not:$like:John Doe&filter.definitionId=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li>\n<li>$contains</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.createdBy","required":false,"in":"query","description":"Filter by createdBy query param.\n          <p>\n             <b>Format: </b> filter.createdBy={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.createdBy=$not:$like:John Doe&filter.createdBy=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.modifiedBy","required":false,"in":"query","description":"Filter by modifiedBy query param.\n          <p>\n             <b>Format: </b> filter.modifiedBy={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.modifiedBy=$not:$like:John Doe&filter.modifiedBy=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.createdAt","required":false,"in":"query","description":"Filter by createdAt query param.\n          <p>\n             <b>Format: </b> filter.createdAt={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.createdAt=$not:$like:John Doe&filter.createdAt=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li>\n<li>$gte</li>\n<li>$lte</li>\n<li>$gt</li>\n<li>$lt</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.updatedAt","required":false,"in":"query","description":"Filter by updatedAt query param.\n          <p>\n             <b>Format: </b> filter.updatedAt={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.updatedAt=$not:$like:John Doe&filter.updatedAt=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li>\n<li>$gte</li>\n<li>$lte</li>\n<li>$gt</li>\n<li>$lt</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.verifiedAt","required":false,"in":"query","description":"Filter by verifiedAt query param.\n          <p>\n             <b>Format: </b> filter.verifiedAt={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.verifiedAt=$not:$like:John Doe&filter.verifiedAt=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li>\n<li>$gte</li>\n<li>$lte</li>\n<li>$gt</li>\n<li>$lt</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.status","required":false,"in":"query","description":"Filter by status query param.\n          <p>\n             <b>Format: </b> filter.status={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.status=$not:$like:John Doe&filter.status=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.search","required":false,"in":"query","description":"Filter by search query param.\n          <p>\n             <b>Format: </b> filter.search={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.search=$not:$like:John Doe&filter.search=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$fulltext</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"sortBy","required":false,"in":"query","description":"Parameter to sort by.\n      <p>To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting</p>\n      <p>\n             <b>Format: </b> fieldName:DIRECTION\n          </p>\n      <p>\n             <b>Example: </b> sortBy=id:DESC&sortBy=createdAt:ASC\n          </p>\n      <p>\n             <b>Default Value: </b> updatedAt:DESC\n          </p>\n      <h4>Available Fields</h4><ul><li>createdAt</li>\n<li>updatedAt</li>\n<li>verifiedAt</li>\n<li>status</li></ul>\n      ","schema":{"type":"array","items":{"type":"string","enum":["createdAt:ASC","createdAt:DESC","updatedAt:ASC","updatedAt:DESC","verifiedAt:ASC","verifiedAt:DESC","status:ASC","status:DESC"]}}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedDto"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/VerifiablePresentationDetailDto"}},"meta":{"properties":{"select":{"type":"array","items":{"type":"string"}},"filter":{"type":"object","properties":{"correlationId":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"definitionId":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"createdBy":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"modifiedBy":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"createdAt":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"updatedAt":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"verifiedAt":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"status":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"search":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}}}}}}}]}}}},"400":{"description":"Invalid request parameters"},"401":{"description":"Invalid authentication credentials."},"403":{"description":"User does not have a required claim to perform this operation."}},"tags":["Verifiable Presentation"]}}}}
```

## Verifiable presentation search history audit log pagination

> Endpoint returns history of verifiable presentation search requests\<hr />\*\*Claim-based access control:\*\* \<code>Verifier\_Admin\</code>, \<code>Verifier\_Auditor\</code>, \<code>Verifier\_User\</code>

```json
{"openapi":"3.0.0","info":{"title":"Identity Verifier Backend Documentation","version":"dev"},"servers":[{"url":"{hostname}","description":"Verifier Backend REST API Server","variables":{"hostname":{"default":"https://identity.nchainplatform.com/products/web/$IDENTITY_ENV_ID/verifier/api"}}}],"security":[{},{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"PaginatedDto":{"type":"object","properties":{"data":{"title":"Array of entities","type":"array","items":{"type":"object"}},"meta":{"title":"Pagination Metadata","allOf":[{"$ref":"#/components/schemas/PaginatedMetaDto"}]},"links":{"title":"Links to pages","allOf":[{"$ref":"#/components/schemas/PaginatedLinksDto"}]}},"required":["data","meta","links"]},"PaginatedMetaDto":{"type":"object","properties":{"itemsPerPage":{"type":"number","title":"Number of items per page"},"totalItems":{"type":"number","title":"Total number of items"},"currentPage":{"type":"number","title":"Current requested page"},"totalPages":{"type":"number","title":"Total number of pages"},"sortBy":{"type":"array","title":"Sorting by columns","items":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"string","enum":["ASC","DESC"]}]}}},"filter":{"type":"object","title":"Filters that applied to the query"}},"required":["itemsPerPage","totalItems","currentPage","totalPages"]},"PaginatedLinksDto":{"type":"object","properties":{"first":{"type":"string","title":"Link to first page"},"previous":{"type":"string","title":"Link to previous page"},"current":{"type":"string","title":"Link to current page"},"next":{"type":"string","title":"Link to next page"},"last":{"type":"string","title":"Link to last page"}}},"VerifiablePresentationSearchAuditLogDetailDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"createdAt":{"format":"date-time","type":"string","description":"Date of creation"},"updatedAt":{"format":"date-time","type":"string","description":"Date of modification"},"deletedAt":{"format":"date-time","type":"string","description":"Date of deletion"},"createdBy":{"type":"string","description":"UUID of the cognito user that created the record","format":"uuid"},"updatedBy":{"type":"string","description":"UUID of the cognito user that updated the record","format":"uuid"},"deletedBy":{"type":"string","description":"UUID of the cognito user that deleted the record","format":"uuid"},"searchQuery":{"description":"The search query","allOf":[{"$ref":"#/components/schemas/PaginateQueryDto"}]},"recordsFound":{"type":"number","description":"The number of rows found and returned from the search query"}}},"PaginateQueryDto":{"type":"object","properties":{"filter":{"type":"object","description":"The filter applied to the search query"},"sortBy":{"description":"The sorting applied to the search query","type":"array","items":{"type":"string"}},"page":{"type":"number","description":"The page to return from the search query"},"limit":{"type":"number","description":"The number of records to return from the search query"},"path":{"type":"string","description":"The endpoint calling the search query"}}}}},"paths":{"/private/verifiable-presentations/search-history":{"get":{"operationId":"VerifiablePresentationController_searchHistory","summary":"Verifiable presentation search history audit log pagination","description":"Endpoint returns history of verifiable presentation search requests<hr />**Claim-based access control:** <code>Verifier_Admin</code>, <code>Verifier_Auditor</code>, <code>Verifier_User</code>","parameters":[{"name":"page","required":false,"in":"query","description":"Page number to retrieve.If you provide invalid value the default page number will applied\n        <p>\n             <b>Example: </b> 1\n          </p>\n        <p>\n             <b>Default Value: </b> 1\n          </p>\n        ","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of records per page.\n      <p>\n             <b>Example: </b> 20\n          </p>\n      <p>\n             <b>Default Value: </b> 20\n          </p>\n      <p>\n             <b>Max Value: </b> 100\n          </p>\n\n      If provided value is greater than max value, max value will be applied.\n      ","schema":{"type":"number"}},{"name":"filter.createdBy","required":false,"in":"query","description":"Filter by createdBy query param.\n          <p>\n             <b>Format: </b> filter.createdBy={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.createdBy=$not:$like:John Doe&filter.createdBy=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.updatedBy","required":false,"in":"query","description":"Filter by updatedBy query param.\n          <p>\n             <b>Format: </b> filter.updatedBy={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.updatedBy=$not:$like:John Doe&filter.updatedBy=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$eq</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.createdAt","required":false,"in":"query","description":"Filter by createdAt query param.\n          <p>\n             <b>Format: </b> filter.createdAt={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.createdAt=$not:$like:John Doe&filter.createdAt=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$gt</li>\n<li>$lt</li>\n<li>$gte</li>\n<li>$lte</li>\n<li>$eq</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"filter.updatedAt","required":false,"in":"query","description":"Filter by updatedAt query param.\n          <p>\n             <b>Format: </b> filter.updatedAt={$not}:OPERATION:VALUE\n          </p>\n          <p>\n             <b>Example: </b> filter.updatedAt=$not:$like:John Doe&filter.updatedAt=like:John\n          </p>\n          <h4>Available Operations</h4><ul><li>$gt</li>\n<li>$lt</li>\n<li>$gte</li>\n<li>$lte</li>\n<li>$eq</li></ul>","schema":{"type":"array","items":{"type":"string"}}},{"name":"sortBy","required":false,"in":"query","description":"Parameter to sort by.\n      <p>To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting</p>\n      <p>\n             <b>Format: </b> fieldName:DIRECTION\n          </p>\n      <p>\n             <b>Example: </b> sortBy=id:DESC&sortBy=createdAt:ASC\n          </p>\n      <p>\n             <b>Default Value: </b> updatedAt:DESC\n          </p>\n      <h4>Available Fields</h4><ul><li>createdAt</li>\n<li>updatedAt</li></ul>\n      ","schema":{"type":"array","items":{"type":"string","enum":["createdAt:ASC","createdAt:DESC","updatedAt:ASC","updatedAt:DESC"]}}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedDto"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/VerifiablePresentationSearchAuditLogDetailDto"}},"meta":{"properties":{"select":{"type":"array","items":{"type":"string"}},"filter":{"type":"object","properties":{"createdBy":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"updatedBy":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"createdAt":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"updatedAt":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}}}}}}}]}}}},"400":{"description":"Invalid request parameters"},"401":{"description":"Invalid authentication credentials."},"403":{"description":"User does not have a required claim to perform this operation."},"500":{"description":"Internal server error"}},"tags":["Verifiable Presentation"]}}}}
```
